New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#1791 (Vertical scale factor interpolation with key_vvl) – NEMO

Opened 6 years ago

Closed 9 months ago

Last modified 8 months ago

#1791 closed Defect (fixed)

Vertical scale factor interpolation with key_vvl

Reported by: jchanut Owned by: greffray
Priority: normal Milestone:
Component: DOM Version: trunk
Severity: minor Keywords: VVL scale vertical
Cc: greffray

Description

Context

With time varying vertical coordinate (e.g. z-s star or tilde), it seems that the horizontal interpolation of vertical scale factors is wrong. Attached an example of top interface anomaly at velocity points (on expect something like the sea level anomaly) defined as the vertical sum of scale factors minus total depth at rest.

Analysis

Gurvan's aware.

Fix

One should at least ensure that top interface matches sea-level anomaly at u and v points.
Correct definition ot the bottom most interface is more tricky across steps.

Commit History (7)

ChangesetAuthorTimeChangeLog
15610jchanut2021-12-17T16:09:23+01:00

#1791: add namelist parameter nn_vvl_interp to control how scale factors are set at U-V-F points. nn_vvl_interp=0 is the old interpolation scheme that do not account for steps. nn_vvl_interp=1, corrects the bottom thicknesses, but does not ensure that they get too small for stability. nn_vvl_interp=2 is a "qco like" formulation, for which scale factors anomalies are set proportional to the scale factors at rest. Set nn_vvl_interp=2 as the default.

15563jchanut2021-12-01T16:50:19+01:00

#1791, correct bottom scale factors interpolation at U/V/F points with non-linear free surface

15471jchanut2021-11-04T17:28:56+01:00

#1791: correct thicknesses at last level with vvl. This ensures total depth is correct (eg matches depth at rest + sea level anomaly) which may otherwise induce unstabilities, and unconsistencies with external mode. The correction is active over steps (no change with purely s-coordinates or in between two adjacent z-levels with partial cells). Contrary to qco formulation, the vvl scheme can lead to negative thicknesses at velocity points, even if total depth at T-points is positive. This is a rare case which is not taken into account in this correction.

11422jchanut2019-08-08T15:40:47+02:00

#1791, merge with trunk

11012jchanut2019-05-20T18:18:05+02:00

#1791, report domvvl change in VORTEX test case. Modification of domvvl there should be removed.

11002jchanut2019-05-20T14:53:58+02:00

vvl interp, #1791: 1) Add resting depth at F-points. 2) Rewrite dom_vvl_interpol with 2 aditionnal methods for horizontal interpolation at U-V-F points (nmet=0,1,2 in subroutine header). Set nmet=1, i.e. interpolate interfaces instead of scale factors anomaly. 3) Changes in the rest of the code: consider input array in dom_vvl_interpol at T point for F scale factors interpolation.

10999jchanut2019-05-20T12:24:00+02:00

Fix for ticket #1791

Attachments (2)

vvl_interp_issue.jpg (66.7 KB) - added by jchanut 6 years ago.
scale_factor_interp.pdf (156.6 KB) - added by jchanut 3 years ago.

Download all attachments as: .zip

Change History (22)

Changed 6 years ago by jchanut

comment:1 Changed 6 years ago by nicolasmartin

Looks a lot better when including the image directly in the ticket:


Last edited 6 years ago by nicolasmartin (previous) (diff)

comment:2 Changed 5 years ago by nemo

  • Keywords VVL added; vvl removed

comment:3 Changed 5 years ago by clevy

  • Cc greffray added
  • Owner changed from jchanut to greffray
  • Status changed from new to assigned

comment:4 Changed 5 years ago by nicolasmartin

  • Type changed from Bug to Enhancement

comment:5 Changed 5 years ago by nemo

  • Keywords factors removed

comment:6 Changed 5 years ago by nemo

  • Keywords release-3.6* added

comment:7 Changed 5 years ago by nemo

  • Keywords release-3.6* removed

comment:8 Changed 4 years ago by jchanut

  • Severity set to minor
  • Version changed from v3.6 to trunk

Changed 3 years ago by jchanut

comment:9 Changed 3 years ago by jchanut

In 10999:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 3 years ago by jchanut

In 11002:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 3 years ago by jchanut

In 11012:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 3 years ago by jchanut

In 11422:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:13 Changed 3 years ago by jchanut

  • Component changed from OCE to DOM

comment:14 Changed 3 years ago by jchanut

  • Type changed from Enhancement to Defect

comment:15 Changed 21 months ago by jchanut

  • Resolution set to wontfix
  • Status changed from assigned to closed

Use of key_qco fixes the problem. Should become the default.

comment:16 Changed 10 months ago by jchanut

  • Resolution wontfix deleted
  • Status changed from closed to reopened

comment:17 Changed 9 months ago by jchanut

In 15471:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:18 Changed 9 months ago by jchanut

In 15563:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:19 Changed 9 months ago by jchanut

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:20 Changed 8 months ago by jchanut

In 15610:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found
Note: See TracTickets for help on using tickets.